Subject: Re: [RFC PATCH] push: perform negotiation before sending packfile

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Feb 2021 13:32:44 -0800

Jonathan Tan <[email-masked]> writes:

> I guess the idea is to have a push that does not start with a ref
> advertisement, therefore making everything more modular?

Yes, making things modular and reusable would be valuable---if the
fetch side were already structured like I dreamed in the message you
are responding to with a separate 'negotiate' service, the RFC patch
would have looked much nicer.

I am also interested in seeing was not to require a new connection
for an extra roundtrip.

Thanks.